<?xml version="1.0"?>
<configuration>

  <system.web>
    <compilation debug="true" targetFramework="4.0" />
    <httpRuntime maxRequestLength="2097151"  maxUrlLength="60480" maxQueryStringLength="60480" executionTimeout="9000" />
  </system.web>
  <connectionStrings>
    <add name="SqlConnectionString" connectionString="Data Source=WGXINGXJ\MSSQLSERVER2005;Initial Catalog=DcxCreator;Persist Security Info=True;User Id=sa;Password=sa"
     providerName="System.Data.SqlClient" />
    <add name="DcxCreatorConnectionString1" connectionString="Data Source=WGXINGXJ\MSSQLSERVER2005;Initial Catalog=DcxCreator;Integrated Security=True;MultipleActiveResultSets=False;Packet Size=4096;Application Name=&quot;Microsoft SQL Server Management Studio&quot;"
     providerName="System.Data.SqlClient" />
  </connectionStrings>
  <appSettings>
    <add key="ConStringEncrypt" value="false"/>
    <add key="LoginSqlServerType" value="0"/>
    <add key="dbn" value=""/>
    <add key="ADServer" value=""/>
    <add key="NTServer" value="hj"/>
    <add key="ADAdminUser" value="Administrator"/>
    <add key="ADAdminPassword" value="0"/>
    <add key="ADPath" value="LDAP://"/>
    <add key="NTPath" value="WinNT://"/>
    <add key="Type" value="NT"/>
    <add key="EmailLength" value="500"/>
    <add key="EmailStayTime" value="300"/>
    <add key="EmailDel" value="0"/>
    <add key="EmailDelTime" value="31"/>
    <add key="BbsRoles" value="论坛用户"/>
    <!--设置论坛用户默认角色-->
    <add key="UserLogoutTime" value="2000"/>
    <!--单位为秒-->
    <add key="RunPartition" value="5000"/>
    <!--单位为毫秒-->
    <add key="IsSameLogin" value="0"/>
    <!--0为可以同时两个同名的用户登陆,1为不可以-->
    <add key="ActLog" value="1"/>
    <!--激活日志,0为不激活,1为激活-->
    <add key="sKey" value="EWorkNet"/>
    <!--加密用-->
    <add key="eMailFuJianOpenType" value="0"/>
    <!--邮件附件类型,1为支持在线编辑，０为原版-->
    <add key="FlowFuJianOpenType" value="0"/>
    <!--流程附件类型,1为支持在线编辑，０为原版-->
    <add key="DataGridOpenType" value="0"/>
    <!--表格中文件类型,1为支持在线编辑，０为原版-->
    <add key="ShowSMSRole" value="Public"/>
    <!--短信角色-->
    <add key="AllowVisitPage" value="default.aspx,outtime.aspx,browse.aspx,register.aspx,loginapp.aspx"/>
    <!--允许不用登陆就可以访问的页-->
    <add key="FZET.Msg.chat" value="http://localhost/ECM/Chat/chat.asmx"/>
    <!--新邮件用-->
    <add key="NewMailConnectionString" value="Server=WGXINGXJ\MSSQLSERVER2005;database=DcxCreator;pwd=sa;uid=sa;"/>
    <add key="IndexConnectionString" value="Provider=MSIdXS; Data Source=DcxCreator;"/>
    <!--流程自动发短信提示 -->
    <add key="FlowAutoSendSMS" value="false"/>
    <!--流程用户收到急件自动发送短信提示默认时间(小时)-->
    <add key="SMS_Exigence" value="4"/>
    <!--流程用户收到平件自动发送短信提示默认时间(小时)-->
    <add key="SMS_General" value="48"/>
    <add key="root" value="UserFile/"/>
    <add key="common" value="CommonFile"/>
    <add key="useTreeView" value="true"/>
    <add key="editableFileTypes" value=".txt .aspx .ascx .asax .cs .vb .js .config .asa .asp .htm .html .cfm .css .inc "/>
    <add key="imageFileTypes" value=".gif .jpg .jpeg .bmp .psd .tiff .tif .png"/>
    <add key="musicFileTypes" value=".mp3 .mp2 .mp1 .wav .wma .cda .aif .aiff .au .snd"/>
    <add key="BbsRoles" value="论坛用户"/>
    <!--设置论坛用户默认角色-->
    <add key="EcmUserUrl" value=""/>
    <!--设置平台用户默认主页-->
    <add key="BbsUserUrl" value="bbs/index.aspx"/>
    <!--设置论谈用户默认主页-->
    <add key="AnymoUserUrl" value="bbs/index.aspx"/>
    <!--设置匿名用户默认主页-->
    <add key="root" value="UserFile/"/>
    <add key="高级领导" value="XXX/"/>
    <add key="thumbDir" value="/FTP/thumbs"/>
    <add key="NotifyRole" value="通知发布者"/>
    <add key="fujinlength" value="3"/>
    <add key="FCKeditor:BasePath" value="~/fckeditor/"/>
    <add key="FCKeditor:UserFilesPath" value="~/UpLoadFiles/"/>
  </appSettings>
  <system.web.extensions>
    <scripting>
      <webServices>
        <jsonSerialization maxJsonLength="1024000">
        </jsonSerialization>
      </webServices>
    </scripting>
  </system.web.extensions>
  <system.webServer>
    <security>
      <requestFiltering>
        <requestLimits maxQueryString="60480" />
      </requestFiltering>
    </security>
  </system.webServer>
  <system.web>
    <webServices>
      <protocols>
        <add name="HttpGet"/>
        <add name="HttpPost"/>
      </protocols>
    </webServices>
    <httpHandlers>
      <remove verb="*" path="*.asmx"/>
      <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
      <add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
      <add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false"/>
    </httpHandlers>
    <globalization requestEncoding="gb2312" responseEncoding="gb2312" culture="zh-CN" uiCulture="zh-CN"/>

    <authentication mode="Forms">
      <forms timeout="720" loginUrl="Default.aspx" protection="Validation"/>
    </authentication>
    <authorization>
      <allow users="*"/>
    </authorization>
    <identity impersonate="true" userName="administrator" password="dcx1677"/>

    <customErrors mode="Off"/>
   <membership defaultProvider="SqlProvider" userIsOnlineTimeWindow="15">
      <providers>
        <clear/>
        <add name="SqlProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="SqlServices" applicationName="SampleApplication" enablePasswordRetrieval="true" enablePasswordReset="true" passwordFormat="Encrypted" requiresQuestionAndAnswer="true"/>
      </providers>
    </membership>

    <sessionState mode="StateServer" stateConnectionString="tcpip=127.0.0.1:42424" sqlConnectionString="data source=127.0.0.1;user id=sa;password=sa" cookieless="false" timeout="720"/>
  </system.web>
  <system.webServer>
    <modules>
      <add name="CustomModule" type="Samples.CustomModule"/>
    </modules>

    <httpHandlers>
      <remove verb="*" path="*.asmx"/>
      <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>

      <add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
      <add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false"/>
      <add verb="POST,GET" path="ajax/*.ashx" type="Ajax.PageHandlerFactory, Ajax"/>
    </httpHandlers>
  </system.webServer>


</configuration>
